#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_icon=D:\COD\coduo.ico
#AutoIt3Wrapper_outfile=cod_multi-tool.exe
#AutoIt3Wrapper_UseUpx=n
#AutoIt3Wrapper_UseAnsi=y
#AutoIt3Wrapper_Allow_Decompile=n
#AutoIt3Wrapper_Res_Comment=Created by Deltaforce229
#AutoIt3Wrapper_Res_Description=CoD Multi Tool
#AutoIt3Wrapper_Res_Fileversion=2.0.0.0
#AutoIt3Wrapper_Res_Field=Group|[Night Crew]
#AutoIt3Wrapper_Tidy_Stop_OnError=n
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
#cs ----------------------------------------------------------------------------
	
	AutoIt Version: 3.2.4.9
	Author:         Deltaforce229
	
	Script Function:
	Minimises COD:UO
	
#ce ----------------------------------------------------------------------------
Opt("TrayMenuMode", 1)

If Not FileExists("codmt-config.ini") Then
	IniWrite("codmt-config.ini", "config", "min-hotkey", "z")
	IniWrite("codmt-config.ini", "config", "res-hotkey", "x")
	FileWriteLine("codmt-config.ini", @CRLF & "[instructions]" & @CRLF & "min-hotkey and res-hotkey must be a letter or number and cannot be the same." & @CRLF & "Config changes wont take effect until you restart CoD Multi Tool." & @CRLF & "To minimize CoD press alt+min-hotkey." & @CRLF & "To restore CoD press alt+res-hotkey.")
	ShellExecute("codmt-config.ini", "", "", "open")
EndIf

$minhotkey = IniRead("codmt-config.ini", "config", "hotkey", "z")
$reshotkey = IniRead("codmt-config.ini", "config", "hotkey", "x")
$location = RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\Activision\Call of Duty", "InstallPath")
$locationuo = RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\Activision\Call of Duty United Offensive", "InstallPath")

TrayCreateItem("CoD Multi Tool V2")
TrayItemSetState(-1, 128)
TrayCreateItem("")
$memorymenu = TrayCreateMenu("Memory Reducer (beta)")
$on = TrayCreateItem("On", $memorymenu, -1, 1)
$off = TrayCreateItem("Off", $memorymenu, -1, 1)
TrayItemSetState(-1, 1)
TrayCreateItem("")
$runcodsp = TrayCreateItem("Start CoD SP")
$runcodmp = TrayCreateItem("Start CoD MP")
$runcoduosp = TrayCreateItem("Start CoD:UO SP")
$runcoduomp = TrayCreateItem("Start CoD:UO MP")
TrayCreateItem("")
$about = TrayCreateItem("About")
$site = TrayCreateItem("Site")
$exit = TrayCreateItem("Exit")
TraySetState()
TraySetToolTip("RIGHT CLICK ME DUMBASS!!!")

HotKeySet("!" & $minhotkey, "_minimize")
HotKeySet("!" & $reshotkey, "_restore")

While 1
	$tray = TrayGetMsg()
	Select
		Case $tray = $exit
			ToolTip("We don't want your bullshit and drama so check your bags at the fucking door!", @DesktopWidth / 2, @DesktopHeight / 2, "[Night Crew]", 0, 2)
			Sleep(5000)
			Exit
		Case $tray = $runcodsp
			Run($location & "\CoDSP.exe", $location & "\")
		Case $tray = $runcodmp
			Run($location & "\CoDMP.exe", $location & "\")
		Case $tray = $runcoduosp
			Run($locationuo & "\CoDUOSP.exe", $locationuo & "\")
		Case $tray = $runcoduomp
			Run($locationuo & "\CoDUOMP.exe", $locationuo & "\")
		Case $tray = $about
			MsgBox(64, "About CoD Multi Tool Version 2", "CoD Multi Tool was created for [NC]Redspade so he would stop being a little bitch. No not really I just made it for him because I'm a nice guy." & @CRLF & "At the time of making this I was in [Night Crew] which is why you get that little message when you exit the program." & @CRLF & "At the moment all CoDMT does is Minimize CoD and reduces the memory usage that the game uses." & @CRLF & "~ Deltaforce229" & @CRLF & @CRLF & "Another peice of software I make is Ultra Block. www.ultrablock.uni.cc")
		Case $tray = $site
			MsgBox(64, "Site", "Below is a list of sites you can find me or CoDMT on." & @CRLF & @CRLF & "www.ultrablock.uni.cc" & @CRLF & "nc.clansevers.com" & @CRLF & "hosted.filefront.com/deltaforce229")
		Case TrayItemGetState($on) = 1
			_ReduceMemory()
			Select
				Case ProcessExists("CoDSP.exe")
					_ReduceMemory(WinGetProcess("Call of Duty Singleplayer"))
				Case ProcessExists("CoDMP.exe")
					_ReduceMemory(WinGetProcess("Call of Duty Multiplayer"))
				Case ProcessExists("CoDUOSP.exe")
					_ReduceMemory(WinGetProcess("CoD:United Offensive Singleplayer"))
				Case ProcessExists("CoDUOMP.exe")
					_ReduceMemory(WinGetProcess("CoD:United Offensive Multiplayer"))
			EndSelect
	EndSelect
WEnd

Func _minimize()
	Select
		Case ProcessExists("CoDSP.exe")
			WinSetState("Call of Duty Singleplayer", "", @SW_MINIMIZE)
		Case ProcessExists("CoDMP.exe")
			WinSetState("Call of Duty Multiplayer", "", @SW_MINIMIZE)
		Case ProcessExists("CoDUOSP.exe")
			WinSetState("CoD:United Offensive Singleplayer", "", @SW_MINIMIZE)
		Case ProcessExists("CoDUOMP.exe")
			WinSetState("CoD:United Offensive Multiplayer", "", @SW_MINIMIZE)
	EndSelect
EndFunc   ;==>_minimize

Func _restore()
	Select
		Case ProcessExists("CoDSP.exe")
			MsgBox(48, "Error", "Restore function does not work for CoD." & @CRLF & "Restore function only works for CoD:UO.")
		Case ProcessExists("CoDMP.exe")
			MsgBox(48, "Error", "Restore function does not work for CoD." & @CRLF & "Restore function only works for CoD:UO.")
		Case ProcessExists("CoDUOSP.exe")
			WinSetState("CoD:United Offensive Singleplayer", "", @SW_RESTORE)
		Case ProcessExists("CoDUOMP.exe")
			WinSetState("CoD:United Offensive Multiplayer", "", @SW_RESTORE)
	EndSelect
EndFunc   ;==>_restore

Func _ReduceMemory($i_PID = -1)
	If $i_PID <> -1 Then
		Local $ai_Handle = DllCall("kernel32.dll", 'int', 'OpenProcess', 'int', 0x1f0fff, 'int', False, 'int', $i_PID)
		Local $ai_Return = DllCall("psapi.dll", 'int', 'EmptyWorkingSet', 'long', $ai_Handle[0])
		DllCall('kernel32.dll', 'int', 'CloseHandle', 'int', $ai_Handle[0])
	Else
		Local $ai_Return = DllCall("psapi.dll", 'int', 'EmptyWorkingSet', 'long', -1)
	EndIf

	Return $ai_Return[0]
EndFunc   ;==>_ReduceMemory